Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Tutaj można zadać pytanie, jeśli Linuksa widzi się pierwszy raz w życiu ;)
czesioo
Piegowaty Guziec
Piegowaty Guziec
Posty: 20
Rejestracja: 09 paź 2017, 15:06
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86
Lokalizacja: Wrocław

Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: czesioo » 09 paź 2017, 16:59

Mam taki problem przy próbie aktualizacji:

Kod: Zaznacz cały

lenovo@lenovo-ThinkPad-R500:~$ sudo apt update
[sudo] hasło użytkownika lenovo: 
Ign.:1 http://pl.archive.ubuntu.com/ubuntu trusty InRelease
Pobieranie:2 http://deb.opera.com/opera stable InRelease [2592 B]                                                                 
Pobieranie:3 http://pl.archive.ubuntu.com/ubuntu trusty-updates InRelease [65,9 kB]                                                 
Stary:4 http://security.ubuntu.com/ubuntu trusty-security InRelease                                                                 
Ign.:5 http://extras.ubuntu.com/ubuntu trusty InRelease                                     
Stary:6 http://pl.archive.ubuntu.com/ubuntu trusty Release                                  
Stary:7 http://extras.ubuntu.com/ubuntu trusty Release  
Pobieranie:8 http://extras.ubuntu.com/ubuntu trusty Release.gpg [72 B]
Błąd:2 http://deb.opera.com/opera stable InRelease
  Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY D615560BA5C7FF72
Ign.:8 http://extras.ubuntu.com/ubuntu trusty Release.gpg
Czytanie list pakietów... Gotowe
W: Błąd GPG: http://deb.opera.com/opera stable InRelease: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY D615560BA5C7FF72
E: Repozytorium 'http://deb.opera.com/opera stable InRelease' jest niepodpisane.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
W: Błąd GPG: http://extras.ubuntu.com/ubuntu trusty Release: Następujące podpisy nie mogły zostać zweryfikowane z powodu braku klucza publicznego: NO_PUBKEY 16126D3A3E5C1192
E: Repozytorium 'http://extras.ubuntu.com/ubuntu trusty Release' jest niepodpisane.
N: Updating from such a repository can't be done securely, and is therefore disabled by default.
N: See apt-secure(8) manpage for repository creation and user configuration details.
lenovo@lenovo-ThinkPad-R500:~$ sudo apt upgrade
Czytanie list pakietów... Gotowe
Budowanie drzewa zależności       
Odczyt informacji o stanie... Gotowe
Obliczanie aktualizacji... Gotowe
Następujące pakiety zostały zainstalowane automatycznie i nie są już więcej wymagane:
  abiword-common libabiword-3.0 libcdaudio1 libchamplain-gtk-0.12-0 libdirectfb-1.2-9 libenca0 libfaac0 libgoffice-0.10-10
  libgoffice-0.10-10-common libgsf-1-114 libgsf-1-common liblink-grammar4 libloudmouth1-0 libmircommon5 libmpcdec6 libots0
  libslv2-9 libtidy-0.99-0 libwv-1.2-4 link-grammar-dictionaries-en linux-headers-4.4.0-34 linux-headers-4.4.0-34-generic
  linux-headers-4.4.0-36 linux-headers-4.4.0-36-generic linux-headers-4.4.0-38 linux-headers-4.4.0-38-generic
  linux-headers-4.4.0-51 linux-headers-4.4.0-51-generic linux-headers-4.4.0-53 linux-headers-4.4.0-53-generic
  linux-headers-4.4.0-57 linux-headers-4.4.0-57-generic linux-headers-4.4.0-59 linux-headers-4.4.0-59-generic
  linux-headers-4.4.0-62 linux-headers-4.4.0-62-generic linux-headers-4.4.0-63 linux-headers-4.4.0-63-generic
  linux-headers-4.4.0-64 linux-headers-4.4.0-64-generic linux-headers-4.4.0-66 linux-headers-4.4.0-66-generic
  linux-headers-4.4.0-70 linux-headers-4.4.0-70-generic linux-headers-4.4.0-71 linux-headers-4.4.0-71-generic
  linux-headers-4.4.0-72 linux-headers-4.4.0-72-generic linux-headers-4.4.0-75 linux-headers-4.4.0-75-generic
  linux-headers-4.4.0-77 linux-headers-4.4.0-77-generic linux-headers-4.4.0-78 linux-headers-4.4.0-78-generic
  linux-headers-4.4.0-79 linux-headers-4.4.0-79-generic linux-headers-4.4.0-81 linux-headers-4.4.0-81-generic
  linux-headers-4.4.0-92 linux-headers-4.4.0-92-generic linux-image-4.4.0-34-generic linux-image-4.4.0-36-generic
  linux-image-4.4.0-38-generic linux-image-4.4.0-51-generic linux-image-4.4.0-53-generic linux-image-4.4.0-57-generic
  linux-image-4.4.0-59-generic linux-image-4.4.0-62-generic linux-image-4.4.0-63-generic linux-image-4.4.0-64-generic
  linux-image-4.4.0-66-generic linux-image-4.4.0-70-generic linux-image-4.4.0-71-generic linux-image-4.4.0-72-generic
  linux-image-4.4.0-75-generic linux-image-4.4.0-77-generic linux-image-4.4.0-78-generic linux-image-4.4.0-79-generic
  linux-image-4.4.0-81-generic linux-image-4.4.0-92-generic linux-image-extra-4.4.0-34-generic linux-image-extra-4.4.0-36-generic
  linux-image-extra-4.4.0-38-generic linux-image-extra-4.4.0-51-generic linux-image-extra-4.4.0-53-generic
  linux-image-extra-4.4.0-57-generic linux-image-extra-4.4.0-59-generic linux-image-extra-4.4.0-62-generic
  linux-image-extra-4.4.0-63-generic linux-image-extra-4.4.0-64-generic linux-image-extra-4.4.0-66-generic
  linux-image-extra-4.4.0-70-generic linux-image-extra-4.4.0-71-generic linux-image-extra-4.4.0-72-generic
  linux-image-extra-4.4.0-75-generic linux-image-extra-4.4.0-77-generic linux-image-extra-4.4.0-78-generic
  linux-image-extra-4.4.0-79-generic linux-image-extra-4.4.0-81-generic linux-image-extra-4.4.0-92-generic
Aby je usunąć należy użyć "sudo apt autoremove".
Następujące pakiety zostaną zaktualizowane:
  snapd
1 aktualizowanych, 0 nowo instalowanych, 0 usuwanych i 0 nieaktualizowanych.
Konieczne pobranie 0 B/9006 kB archiwów.
Po tej operacji zostanie dodatkowo użyte 2989 kB miejsca na dysku.
Kontynuować? [T/n] t
(Odczytywanie bazy danych ... 964192 pliki i katalogi obecnie zainstalowane.)
Przygotowywanie do rozpakowania pakietu .../snapd_2.27.5~14.04_i386.deb ...
Failed to stop snapd.autoimport.service: Unit snapd.autoimport.service not loaded.
Failed to stop snapd.socket: Unit snapd.socket not loaded.
dpkg: ostrzeżenie: podproces poprzedni skrypt pre-removal zwrócił kod błędu 5
dpkg: próba wywołania skryptu z nowego pakietu ...
Failed to stop snapd.autoimport.service: Unit snapd.autoimport.service not loaded.
Failed to stop snapd.socket: Unit snapd.socket not loaded.
dpkg: błąd przetwarzania archiwum /var/cache/apt/archives/snapd_2.27.5~14.04_i386.deb (--unpack):
 podproces nowy skrypt pre-removal zwrócił kod błędu 5
Wystąpiły błędy podczas przetwarzania:
 /var/cache/apt/archives/snapd_2.27.5~14.04_i386.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)
lenovo@lenovo-ThinkPad-R500:~$
Jak to naprawić?
--
Pozdrawiam
czesioo
czesioo
Piegowaty Guziec
Piegowaty Guziec
Posty: 20
Rejestracja: 09 paź 2017, 15:06
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86
Lokalizacja: Wrocław

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: czesioo » 17 paź 2017, 08:42

Może ktoś mi odpowie.
--
Pozdrawiam
czesioo
Awatar użytkownika
mario_7
Administrator
Administrator
Posty: 6995
Rejestracja: 30 sie 2006, 13:11
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86_64

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: mario_7 » 24 paź 2017, 23:06

Spróbuj zrobić coś takiego:

Kod: Zaznacz cały

sudo systemctl start snapd
i ponownie wywołaj aktualizację.

Generalnie jest jakiś problem z tym pakietem. Być może trzeba będzie ręcznie wyedytować jego skrypt prerm.
Czytelnia - poczytaj, Google - poszukaj
czesioo
Piegowaty Guziec
Piegowaty Guziec
Posty: 20
Rejestracja: 09 paź 2017, 15:06
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86
Lokalizacja: Wrocław

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: czesioo » 01 lis 2017, 09:32

Po:
sudo systemctl start snapd
dostałem taki komunikat:
„Failed to start snapd.service: Unit snapd.socket not found.”

Wywołałem aktualizację, po kilku minutach dostałem taki komunikat:
„Nieudane działanie pakietu
Instalacja lub usunięcie oprogramowania nie powiodło się.”

Walczę z tym już kilka tygodni. Po pierwszej nieudanej próbie aktualizacji postępowałem „zgodnie” ze wskazówkami wyświetlanymi na ekranie. Nie zapisałem co robiłem. Może dodatkowo coś namieszałem mając tymczasowo uprawnienia roota.
Za każdym razem zezwalałem na zgłoszenie problemu do autorów nieinstalującego się pakietu. Brak ich reakcji rozumiem jako sygnał, że problem występuje tylko u mnie.
Nie chodzę po niebezpiecznych stronach. Onet, youtube, linki z Googla, poczta txt, LibreOffice to jest to co używam.
Mam wrażenie że problem pojawił się po daniu na pasek zadań przeglądarki Chromium Web Browser.
Mam zainstalowane wyłącznie oprogramowanie firmy Cannonical.
Dziękuję za udzieloną radę.
--
Pozdrawiam
czesioo
Awatar użytkownika
mario_7
Administrator
Administrator
Posty: 6995
Rejestracja: 30 sie 2006, 13:11
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86_64

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: mario_7 » 01 lis 2017, 23:38

Ok, zatem coś nie działa jak powinno i nie chcąc spędzać niepotrzebnie czasu na debugowaniu zrobimy obejście problemu.
Musisz zmienić skrypt:

Kod: Zaznacz cały

sudo gedit /var/lib/dpkg/info/snapd.prerm
usuń z tego pliku linijkę:

Kod: Zaznacz cały

set -e
a na samym końcu pliku dodaj nową linię i napisz w niej:

Kod: Zaznacz cały

true
Zapisz plik i wykonaj ponownie aktualizację. Tym razem powinna odbyć się bez błędów.
Czytelnia - poczytaj, Google - poszukaj
czesioo
Piegowaty Guziec
Piegowaty Guziec
Posty: 20
Rejestracja: 09 paź 2017, 15:06
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86
Lokalizacja: Wrocław

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: czesioo » 08 lis 2017, 22:11

Zrobiłem tak:
W Terminalu napisałem:
sudo gedit /var/lib/dpkg/info/snapd.prerm
otworzyło się okno gedit z poniższą zawartością

Kod: Zaznacz cały

#! /bin/sh

set -e

if [ -d /run/systemd/system ]; then
    systemctl stop snapd.autoimport.service snapd.socket snapd.service
    systemctl disable snapd.autoimport.service snapd.socket snapd.service
fi
usunąłem linijkę z set -e
na samym końcu pliku dodałem nową linię i napisałem w niej true. Tak ten skrypt wyglądał po zmianach

Kod: Zaznacz cały

#! /bin/sh


if [ -d /run/systemd/system ]; then
    systemctl stop snapd.autoimport.service snapd.socket snapd.service
    systemctl disable snapd.autoimport.service snapd.socket snapd.service
fi
true
kliknąłem w przycisk Zapisz
Nie miałem jak wyjść z gedit’a.
To było wyświetlane przez Terminal

(gedit:3404): Gtk-WARNING **: Calling Inhibit failed: GDBus.Error:org.freedesktop.DBus.Error.ServiceUnknown: The name org.gnome.SessionManager was not provided by any .service files

** (gedit:3404): WARNING **: Set document metadata failed: Ustawianie atrybutu metadata::gedit-spell-enabled nie jest obsługiwane

** (gedit:3404): WARNING **: Set document metadata failed: Ustawianie atrybutu metadata::gedit-encoding nie jest obsługiwane

Nie umiałem wyjść z Terminala (zawiesił się)
exit
bye
nie działały
zamknąłem gedit krzyżykiem. Zniknęła jego ikona z pionowego menu. Zniknęła też ikona Terminala.
Uruchomiłem aktualizowanie. Pojawił się komunikat że system jest aktualny.

W Terminalu napisałem:
sudo gedit /var/lib/dpkg/info/snapd.prerm
otworzyło się okno gedit z poniższą zawartością

Kod: Zaznacz cały

#! /bin/sh


if [ -d /run/systemd/system ]; then
    systemctl stop snapd.autoimport.service snapd.socket snapd.service
    systemctl disable snapd.autoimport.service snapd.socket snapd.service
fi
true
czyli to co usiłowałem zmienić zostało zmienione.

Ponownie nie mogłem zamknąć gedita i Terminal.
Dlaczego? Jak należało je poprawnie zamknąć.
Co znaczyły te komunikaty na Terminalu.
Gdy zamknąłem gedita krzyżykiem to było na terminalu.

Kod: Zaznacz cały

lenovo@lenovo-ThinkPad-R500:~$ sudo gedit /var/lib/dpkg/info/snapd.prerm
[sudo] hasło użytkownika lenovo: 
whoami

** (gedit:3610): WARNING **: Set document metadata failed: Ustawianie atrybutu metadata::gedit-position nie jest obsługiwane
lenovo@lenovo-ThinkPad-R500:~$ whoami
lenovo
lenovo@lenovo-ThinkPad-R500:~$ 
czyli przestałem być superużytkownikiem.

Dziękuje za cenne wskazówki, które pozwoliłu uporać mi się z moim problemem.
Pozostało pytanie bez odpowiedzi co powodowało że Ubuntu nie dawało sie zaktualizować i co zrobiły zmiany w skrypcie?
--
Pozdrawiam
czesioo
Awatar użytkownika
mario_7
Administrator
Administrator
Posty: 6995
Rejestracja: 30 sie 2006, 13:11
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86_64

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: mario_7 » 09 lis 2017, 18:42

Nie wydając się w szczegóły - uruchomiłeś gedit w sposób standardowy - czyli blokujący, tzn. terminal czekał aż polecenie się zakończy - czyli okno programu zostanie zamknięte. Potem działał jak zwykle.

A co do zmian - pierwsza powodowała, że skrypt będzie wykonywany mimo napotkanych błędów, a druga zapewniała, że skrypt zwróci na koniec "sukces".

Dzięki temu proces aktualizacji został oszukany i nie został przerwany.
Czytelnia - poczytaj, Google - poszukaj
czesioo
Piegowaty Guziec
Piegowaty Guziec
Posty: 20
Rejestracja: 09 paź 2017, 15:06
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86
Lokalizacja: Wrocław

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: czesioo » 09 lis 2017, 22:14

Jakie mogę być reperkusje oszukania procesu aktualizacji?
Dlaczego ten proces aktualizacji kończył się błędem?
--
Pozdrawiam
czesioo
Awatar użytkownika
mario_7
Administrator
Administrator
Posty: 6995
Rejestracja: 30 sie 2006, 13:11
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86_64

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: mario_7 » 12 lis 2017, 18:12

1. W tym przypadku - żadne. Błąd dotyczył zamykania usługi, która i tak z jakiegoś powodu nie działała.
2. Błąd występował, bo jeden z pakietów nie zachowywał się prawidłowo - dlaczego? - to o to należałoby zapytać opiekuna tego felernego pakietu.
Czytelnia - poczytaj, Google - poszukaj
czesioo
Piegowaty Guziec
Piegowaty Guziec
Posty: 20
Rejestracja: 09 paź 2017, 15:06
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86
Lokalizacja: Wrocław

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: czesioo » 16 lis 2017, 13:46

Dzisiaj wystąpiło nieudane działanie pakietu aktualizacja Firefox: sam FF,wersja polska, wersja angielska.
Pojawił się komunikat:
" Instalacja lub usunięcie oprogramowania się nie powiodło."
Mój aktualny FF to Firefox Quantum 57.0 Mozilla FF for Ubuntu Canonical 1.0
Wczoraj była nieudana aktualizacja Google Chrome.
Kilk a dni temu była nieudana próba instalacji tego felernego pakietu snapd. Przy ponownej próbie sprawdzenia aktualności systemu pojawił się komunikat, że system jest aktualny.
--
Pozdrawiam
czesioo
czesioo
Piegowaty Guziec
Piegowaty Guziec
Posty: 20
Rejestracja: 09 paź 2017, 15:06
Płeć: Mężczyzna
Wersja Ubuntu: 16.04
Środowisko graficzne: Unity
Architektura: x86
Lokalizacja: Wrocław

Re: Ubutu 14.04 się nie aktualizuje z powodu pakietu snapd

Post autor: czesioo » 21 sty 2018, 09:14

Informuję, że proponowane przez Mario_7 rozwiązanie pozwoliło mi uporać się ze zgłaszanym przeze mnie problemem.

Po:
"Musisz zmienić skrypt:
Kod: Zaznacz cały
sudo gedit /var/lib/dpkg/info/snapd.prerm
usuń z tego pliku linijkę:
Kod: Zaznacz cały
set -e
a na samym końcu pliku dodaj nową linię i napisz w niej:
Kod: Zaznacz cały
true
Zapisz plik i wykonaj ponownie aktualizację. "

udaje mi się zaktualizować system po pojawieniu się nowej wersji pakietu snapd blokującej aktualizowanie systemu.
--
Pozdrawiam
czesioo
ODPOWIEDZ

Wróć do „Przedszkole Linuksa”